<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Calculation\FormulaToken</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method___construct" title="__construct ::Create a new FormulaToken.">
            <span class="description">Create a new FormulaToken.</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getTokenSubType" title="getTokenSubType ::Get Token SubType (represented by TOKEN_SUBTYPE_*).">
            <span class="description">Get Token SubType (represented by TOKEN_SUBTYPE_*).</span><pre>getTokenSubType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getTokenType" title="getTokenType ::Get Token Type (represented by TOKEN_TYPE_*).">
            <span class="description">Get Token Type (represented by TOKEN_TYPE_*).</span><pre>getTokenType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getValue" title="getValue ::Get Value.">
            <span class="description">Get Value.</span><pre>getValue</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setTokenSubType" title="setTokenSubType ::Set Token SubType (represented by TOKEN_SUBTYPE_*).">
            <span class="description">Set Token SubType (represented by TOKEN_SUBTYPE_*).</span><pre>setTokenSubType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setTokenType" title="setTokenType ::Set Token Type (represented by TOKEN_TYPE_*).">
            <span class="description">Set Token Type (represented by TOKEN_TYPE_*).</span><pre>setTokenType</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setValue" title="setValue ::Set Value.">
            <span class="description">Set Value.</span><pre>setValue</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_CONCATENATION" title="TOKEN_SUBTYPE_CONCATENATION ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_CONCATENATION</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_ERROR" title="TOKEN_SUBTYPE_ERROR ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_ERROR</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_INTERSECTION" title="TOKEN_SUBTYPE_INTERSECTION ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_INTERSECTION</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_LOGICAL" title="TOKEN_SUBTYPE_LOGICAL ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_LOGICAL</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_MATH" title="TOKEN_SUBTYPE_MATH ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_MATH</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_NOTHING" title="TOKEN_SUBTYPE_NOTHING ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_NOTHING</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_NUMBER" title="TOKEN_SUBTYPE_NUMBER ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_NUMBER</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_RANGE" title="TOKEN_SUBTYPE_RANGE ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_RANGE</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_START" title="TOKEN_SUBTYPE_START ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_START</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_STOP" title="TOKEN_SUBTYPE_STOP ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_STOP</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_TEXT" title="TOKEN_SUBTYPE_TEXT ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_TEXT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_SUBTYPE_UNION" title="TOKEN_SUBTYPE_UNION ::">
                        <span class="description"></span><pre>TOKEN_SUBTYPE_UNION</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_ARGUMENT" title="TOKEN_TYPE_ARGUMENT ::">
                        <span class="description"></span><pre>TOKEN_TYPE_ARGUMENT</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_FUNCTION" title="TOKEN_TYPE_FUNCTION ::">
                        <span class="description"></span><pre>TOKEN_TYPE_FUNCTION</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_NOOP" title="TOKEN_TYPE_NOOP ::">
                        <span class="description"></span><pre>TOKEN_TYPE_NOOP</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_OPERAND" title="TOKEN_TYPE_OPERAND ::">
                        <span class="description"></span><pre>TOKEN_TYPE_OPERAND</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_OPERATORINFIX" title="TOKEN_TYPE_OPERATORINFIX ::">
                        <span class="description"></span><pre>TOKEN_TYPE_OPERATORINFIX</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_OPERATORPOSTFIX" title="TOKEN_TYPE_OPERATORPOSTFIX ::">
                        <span class="description"></span><pre>TOKEN_TYPE_OPERATORPOSTFIX</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_OPERATORPREFIX" title="TOKEN_TYPE_OPERATORPREFIX ::">
                        <span class="description"></span><pre>TOKEN_TYPE_OPERATORPREFIX</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_SUBEXPRESSION" title="TOKEN_TYPE_SUBEXPRESSION ::">
                        <span class="description"></span><pre>TOKEN_TYPE_SUBEXPRESSION</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_UNKNOWN" title="TOKEN_TYPE_UNKNOWN ::">
                        <span class="description"></span><pre>TOKEN_TYPE_UNKNOWN</pre>
                    </a>
                </li>                <li class="constant">
                    <a href="#constant_TOKEN_TYPE_WHITESPACE" title="TOKEN_TYPE_WHITESPACE ::">
                        <span class="description"></span><pre>TOKEN_TYPE_WHITESPACE</pre>
                    </a>
                </li>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>FormulaToken</h1>
                <small style="display: block; text-align: right">                </small>
                <p class="short_description">PARTLY BASED ON:
Copyright (c) 2007 E. W. Bachtal, Inc.</p>
                <div class="details">
                    <div class="long_description"><p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software
and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial
portions of the Software.</p>
<p>The software is provided &quot;as is&quot;, without warranty of any kind, express or implied, including but not
limited to the warranties of merchantability, fitness for a particular purpose and noninfringement. In
no event shall the authors or copyright holders be liable for any claim, damages or other liability,
whether in an action of contract, tort or otherwise, arising from, out of or in connection with the
software or the use or other dealings in the software.</p>
<p><a href="https://ewbi.blogs.com/develops/2007/03/excel_formula_p.html">https://ewbi.blogs.com/develops/2007/03/excel_formula_p.html</a>
<a href="https://ewbi.blogs.com/develops/2004/12/excel_formula_p.html">https://ewbi.blogs.com/develops/2004/12/excel_formula_p.html</a></p>
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create a new FormulaToken.</h2>
                            <pre>__construct(string $pValue,string $pTokenType = self::TOKEN_TYPE_UNKNOWN,string $pTokenSubType = self::TOKEN_SUBTYPE_NOTHING)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$pValue</h4>
                                                <code>string</code><p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pTokenType</h4>
                                                <code>string</code><p><p>Token type (represented by TOKEN<em>TYPE</em>*)</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$pTokenSubType</h4>
                                                <code>string</code><p><p>Token Subtype (represented by TOKEN<em>SUBTYPE</em>*)</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_getTokenSubType"></a>
                        <div class="element clickable methodpublic method_getTokenSubType" data-toggle="collapse" data-target=".method_getTokenSubType .collapse">
                            <h2>Get Token SubType (represented by TOKEN_SUBTYPE_*).</h2>
                            <pre>getTokenSubType(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getTokenType"></a>
                        <div class="element clickable methodpublic method_getTokenType" data-toggle="collapse" data-target=".method_getTokenType .collapse">
                            <h2>Get Token Type (represented by TOKEN_TYPE_*).</h2>
                            <pre>getTokenType(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getValue"></a>
                        <div class="element clickable methodpublic method_getValue" data-toggle="collapse" data-target=".method_getValue .collapse">
                            <h2>Get Value.</h2>
                            <pre>getValue(): string</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>string</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setTokenSubType"></a>
                        <div class="element clickable methodpublic method_setTokenSubType" data-toggle="collapse" data-target=".method_setTokenSubType .collapse">
                            <h2>Set Token SubType (represented by TOKEN_SUBTYPE_*).</h2>
                            <pre>setTokenSubType(string $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setTokenType"></a>
                        <div class="element clickable methodpublic method_setTokenType" data-toggle="collapse" data-target=".method_setTokenType .collapse">
                            <h2>Set Token Type (represented by TOKEN_TYPE_*).</h2>
                            <pre>setTokenType(string $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_setValue"></a>
                        <div class="element clickable methodpublic method_setValue" data-toggle="collapse" data-target=".method_setValue .collapse">
                            <h2>Set Value.</h2>
                            <pre>setValue(string $value)</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>string</code><p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-constant"></i> Constants</h3>                            <a id="constant_TOKEN_TYPE_NOOP"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_NOOP" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_NOOP .collapse">
                                <h2>TOKEN_TYPE_NOOP</h2>
                                <pre>TOKEN_TYPE_NOOP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_TYPE_OPERAND"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_OPERAND" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_OPERAND .collapse">
                                <h2>TOKEN_TYPE_OPERAND</h2>
                                <pre>TOKEN_TYPE_OPERAND</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_TYPE_FUNCTION"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_FUNCTION" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_FUNCTION .collapse">
                                <h2>TOKEN_TYPE_FUNCTION</h2>
                                <pre>TOKEN_TYPE_FUNCTION</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_TYPE_SUBEXPRESSION"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_SUBEXPRESSION" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_SUBEXPRESSION .collapse">
                                <h2>TOKEN_TYPE_SUBEXPRESSION</h2>
                                <pre>TOKEN_TYPE_SUBEXPRESSION</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_TYPE_ARGUMENT"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_ARGUMENT" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_ARGUMENT .collapse">
                                <h2>TOKEN_TYPE_ARGUMENT</h2>
                                <pre>TOKEN_TYPE_ARGUMENT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_TYPE_OPERATORPREFIX"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_OPERATORPREFIX" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_OPERATORPREFIX .collapse">
                                <h2>TOKEN_TYPE_OPERATORPREFIX</h2>
                                <pre>TOKEN_TYPE_OPERATORPREFIX</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_TYPE_OPERATORINFIX"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_OPERATORINFIX" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_OPERATORINFIX .collapse">
                                <h2>TOKEN_TYPE_OPERATORINFIX</h2>
                                <pre>TOKEN_TYPE_OPERATORINFIX</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_TYPE_OPERATORPOSTFIX"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_OPERATORPOSTFIX" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_OPERATORPOSTFIX .collapse">
                                <h2>TOKEN_TYPE_OPERATORPOSTFIX</h2>
                                <pre>TOKEN_TYPE_OPERATORPOSTFIX</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_TYPE_WHITESPACE"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_WHITESPACE" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_WHITESPACE .collapse">
                                <h2>TOKEN_TYPE_WHITESPACE</h2>
                                <pre>TOKEN_TYPE_WHITESPACE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_TYPE_UNKNOWN"> </a>
                            <div class="element clickable constant constant_TOKEN_TYPE_UNKNOWN" data-toggle="collapse" data-target=".constant_TOKEN_TYPE_UNKNOWN .collapse">
                                <h2>TOKEN_TYPE_UNKNOWN</h2>
                                <pre>TOKEN_TYPE_UNKNOWN</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_NOTHING"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_NOTHING" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_NOTHING .collapse">
                                <h2>TOKEN_SUBTYPE_NOTHING</h2>
                                <pre>TOKEN_SUBTYPE_NOTHING</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_START"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_START" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_START .collapse">
                                <h2>TOKEN_SUBTYPE_START</h2>
                                <pre>TOKEN_SUBTYPE_START</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_STOP"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_STOP" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_STOP .collapse">
                                <h2>TOKEN_SUBTYPE_STOP</h2>
                                <pre>TOKEN_SUBTYPE_STOP</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_TEXT"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_TEXT" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_TEXT .collapse">
                                <h2>TOKEN_SUBTYPE_TEXT</h2>
                                <pre>TOKEN_SUBTYPE_TEXT</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_NUMBER"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_NUMBER" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_NUMBER .collapse">
                                <h2>TOKEN_SUBTYPE_NUMBER</h2>
                                <pre>TOKEN_SUBTYPE_NUMBER</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_LOGICAL"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_LOGICAL" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_LOGICAL .collapse">
                                <h2>TOKEN_SUBTYPE_LOGICAL</h2>
                                <pre>TOKEN_SUBTYPE_LOGICAL</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_ERROR"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_ERROR" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_ERROR .collapse">
                                <h2>TOKEN_SUBTYPE_ERROR</h2>
                                <pre>TOKEN_SUBTYPE_ERROR</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_RANGE"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_RANGE" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_RANGE .collapse">
                                <h2>TOKEN_SUBTYPE_RANGE</h2>
                                <pre>TOKEN_SUBTYPE_RANGE</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_MATH"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_MATH" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_MATH .collapse">
                                <h2>TOKEN_SUBTYPE_MATH</h2>
                                <pre>TOKEN_SUBTYPE_MATH</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_CONCATENATION"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_CONCATENATION" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_CONCATENATION .collapse">
                                <h2>TOKEN_SUBTYPE_CONCATENATION</h2>
                                <pre>TOKEN_SUBTYPE_CONCATENATION</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_INTERSECTION"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_INTERSECTION" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_INTERSECTION .collapse">
                                <h2>TOKEN_SUBTYPE_INTERSECTION</h2>
                                <pre>TOKEN_SUBTYPE_INTERSECTION</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                            <a id="constant_TOKEN_SUBTYPE_UNION"> </a>
                            <div class="element clickable constant constant_TOKEN_SUBTYPE_UNION" data-toggle="collapse" data-target=".constant_TOKEN_SUBTYPE_UNION .collapse">
                                <h2>TOKEN_SUBTYPE_UNION</h2>
                                <pre>TOKEN_SUBTYPE_UNION</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>
                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>
                                    </div>
                                </div>
                            </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_value"> </a>
                            <div class="element clickable propertyprivate property_value" data-toggle="collapse" data-target=".property_value .collapse">
                                <h2>Value.</h2>
                                <pre>value :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_tokenType"> </a>
                            <div class="element clickable propertyprivate property_tokenType" data-toggle="collapse" data-target=".property_tokenType .collapse">
                                <h2>Token Type (represented by TOKEN_TYPE_*).</h2>
                                <pre>tokenType :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                            <a id="property_tokenSubType"> </a>
                            <div class="element clickable propertyprivate property_tokenSubType" data-toggle="collapse" data-target=".property_tokenSubType .collapse">
                                <h2>Token SubType (represented by TOKEN_SUBTYPE_*).</h2>
                                <pre>tokenSubType :string</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>var
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code>string</code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Calculation\FormulaToken"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Calculation.html">Calculation</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Calculation.FormulaToken.html">FormulaToken</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:48 +0000.<br/>
    </footer></body>
</html>
